<?php

namespace App\ViewModels\CreditoCliente\CreditoClienteRegistrationFromCreditoViewModel;

use App\Utils\Entity;

class CreditoClienteRegistrationFromCreditoViewModel extends Entity {
	protected $creditoId;
	protected $clienteId;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $valor;
	protected $saldo;

	public static function builder(): CreditoClienteRegistrationFromCreditoViewModelBuilder {

		$creditoCliente_builder = new CreditoClienteRegistrationFromCreditoViewModelBuilder();
		return $creditoCliente_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCreditoId() {

		return $this->creditoId;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getClienteId() {

		return $this->clienteId;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criadoPor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->dataCriacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->horaCriacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSaldo() {

		return $this->saldo;

	}

	/**
	 *
	 * @param mixed $extornoId
	 */
	public function setCreditoId($creditoId) {

		$this->creditoId = $creditoId;

	}

	/**
	 *
	 * @param mixed $clienteId
	 */
	public function setClienteId($clienteId) {

		$this->clienteId = $clienteId;

	}

	/**
	 *
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor) {

		$this->criadoPor = $criadoPor;

	}

	/**
	 *
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;

	}

	/**
	 *
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $saldo
	 */
	public function setSaldo($saldo) {

		$this->saldo = $saldo;

	}

}

